Retrieve Finance Organizations and Loan Packages
Process
Description:
- Merchant sends a request (with order amount) to Baokim.
- Baokim returns a list of financial organizations and suitable loan packages.
API Information
Method: GET
Request
(Parameters sent by the partner)
Main Parameters Table
| No. | Field Name | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | request_id | String(100) | ✅ | Unique ID of the request from Merchant to Baokim |
| 2 | request_time | String(20) | ✅ | Request sent time. Format: YYYY-MM-DD H:i:s |
| 3 | merchant_code | String(50) | ✅ | Unique merchant identifier: MERCHANT |
| 4 | original_amount | Number | ✅ | Order value |
| 5 | down_payment_percent | Number | ✅ | % down payment. KREDIVO, HOMECREDIT, MUADEE: Default = 0 |
| 6 | provider_code | String(50) | ✅ | Finance organization code (KREDIVO, HOMECREDIT, FUNDIIN, MUADEE) |
Request Example
{
"request_id": "MERCHANT050015588AXE00",
"request_time": "2020-08-11 14:41:00",
"merchant_code": "MERCHANT",
"original_amount": 2000000,
"down_payment_percent": 10,
"provider_code": "FUNDIIN"
}
Response
(Parameters returned by Baokim)
Main Parameters Table
| No. | Field Name | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | code | Number(3) | ✅ | Baokim error code |
| 2 | message | String(200) | ✅ | Error code message |
| 3 | data | Object | ✅ | Data returned by Baokim |
| 3.1 | data.items | Array | ✅ | List of bank and loan package information objects |
data.items Information
| No. | Field Name | Data Type | Required | Description |
|---|---|---|---|---|
| 1 | package_code | String(255) | ✅ | Loan package code |
| 2 | name | String(20) | ✅ | Loan package name |
| 3 | period | Number | ✅ | Term (1, 3, 6, 9, 12 months) |
| 4 | min_amount | Number | ✅ | Minimum amount to apply for this loan package |
| 5 | max_amount | Number | ✅ | Maximum amount to apply for this loan package |
| 6 | down_payment_percent | Number | ✅ | % of down payment amount |
| 7 | down_payment_amount | Number | ✅ | Down payment amount |
| 8 | original_amount | Number | ✅ | Order amount |
| 9 | customer_rate_month | Number | ✅ | Interest rate user bears (monthly) |
| 10 | merchant_fee | Number | ✅ | Merchant fee |
| 11 | payment_per_period | Number | ✅ | Payment amount per period |
| 12 | provider_code | String(20) | ✅ | Finance organization code |
Response Example
{
"code": 0,
"message": "Success",
"data": {
"items": [
{
"package_code": "homecredit_1month",
"name": "Home Credit 1 month",
"period": 1,
"min_amount": 1000000,
"max_amount": 500000,
"down_payment_percent": 20,
"down_payment_amount": 2000000,
"original_amount": 10000000,
"merchant_fee": 100000,
"payment_per_period": 8000000,
"provider_code": "HOMECREDIT"
}
]
}
}
Error Codes
| Error Code | Description |
|---|---|
| 100 | Success |
| 101 | System error |
| 102 | Provider error |
| 104 | JWT authentication error |
| 105 | Invalid digital signature |
| 106 | Order amount is insufficient for refund |
| 107 | Order cannot be refunded |
| 108 | Order cannot be cancelled |
| 109 | Order does not exist |
| 110 | Merchant order code already exists |
| 422 | Validation error |